%define pkg_name        Number-Base-DWIM
%define pkg_version     0.03
%define rpm_pkg_version 0.03
%define rpm_pkg_release 2.n0i.3

Summary:       Delay parsing of based constants as long as possible
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/C/CM/CMO/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module will delay parsing of based numeric constants (0b010101, 0655,
0xff) until the last possible moment. This means that if you use the
constant as a string, then it will evaluate to the same form that the
constant was declared in.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}


%changelog
* Sun Jun 03 2007 Marius Feraru <altblue@n0i.net> - 0.03-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8

* Fri Apr 14 2006 Marius Feraru <altblue@n0i.net> - 0.03-1.n0i.2
- version 0.03

* Mon Apr 10 2006 Marius Feraru <altblue@n0i.net> 0.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
